
TYPO3.Flow - Feature # 3030

Status: Resolved Priority: Could have
Author: Thomas Fritz Category: Error
Created: 2009-04-03 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Testing framework can send bug report to mailinglist
Description

After the test suites are completed and a test failed, ask the Developer if a detailed bug report should be send to the TYPO3
Mailinglist. Of course only if a failed test belongs a to a public package. If you have ever compiled php and did a make test you might
actually know what i mean.

This behaviour could also expanded when an exception was thrown.

Associated revisions
Revision 38d8d5c6 - 2009-09-28 18:30 - Karsten Dambekalns

[~TASK] FLOW3 (Error): the DebugExceptionHandler now shows a link to Forge for creating an issue - we'll see how that turns out... Resolves #3030.

History
#1 - 2009-05-19 12:34 - Robert Lemke
- Target version set to 283

#2 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#3 - 2009-09-28 15:25 - Karsten Dambekalns

For the testing framework I would not do this. Tests in that part should fail on the developer's machine or the CI server. Thus we don't need any mails
to bother innocent developers :)

For the exception handling, I partly agree. But I would not send an email but rather link to a form for a new issue on forge with some stuff pre-filled in
the form. This is easily done:
http://forge.typo3.org/projects/package-&lt;key&gt;/issues/new?issue[subject]=Foo&#38;issue[description]=Bar+Baz&#38;issue[category_id]=76

#4 - 2009-09-28 15:32 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#5 - 2009-09-28 19:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset r3233.
